Workspaces - List Workspaces
Returns a list of workspaces.
Note
This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.
This API supports pagination. A maximum of 10,000 records can be returned per request. With the continuation token provided in the response, you can get the next 10,000 records.
Permissions
The caller must be a Fabric administrator or authenticate using a service principal.
Required Delegated Scopes
Tenant.Read.All or Tenant.ReadWrite.All
Limitations
Maximum 200 requests per hour.
The encryptionStatus filter is applied only when the include parameter contains encryption.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/admin/workspaces
GET https://api.fabric.microsoft.com/v1/admin/workspaces?type={type}&capacityId={capacityId}&name={name}&state={state}&continuationToken={continuationToken}&encryptionStatus={encryptionStatus}&include={include}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
capacity
|
query |
string (uuid) |
The capacity ID of the workspace. |
|
|
continuation
|
query |
string |
Continuation token. Used to get the next items in the list. |
|
|
encryption
|
query |
string |
Indicates the CMK encryption status of the workspace and is used to filter workspaces that match the specified status. |
|
|
include
|
query |
string |
Specifies additional data to include for each workspace in the response. Supported values: |
|
|
name
|
query |
string |
The workspace name. |
|
|
state
|
query |
string |
The workspace state. Supported states are active and deleted. |
|
|
type
|
query |
string |
The workspace type. Supported types are personal, workspace, adminworkspace. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The operation was successful. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a list of workspaces example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/workspaces
Sample response
{
"workspaces": [
{
"id": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87",
"name": "test report",
"type": "Workspace",
"state": "Active",
"capacityId": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e84",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9",
"tags": [
{
"id": "b3f2c8e9-4d8e-4a7c-9a32-f8c1b2e4d6af",
"displayName": "Finance"
},
{
"id": "6f1a8d3b-92c4-4f67-8c2d-1e5a9b7f4a23",
"displayName": "Production"
}
]
}
],
"continuationUri": "https://api.fabric.microsoft.com/v1/admin/workspaces?continuationToken='LDEsMTAwMDAwLDA%3D'",
"continuationToken": "LDEsMTAwMDAwLDA%3D"
}
Get a list of workspaces using state query parameter example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/workspaces?state=Active
Sample response
{
"workspaces": [
{
"id": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e87",
"name": "test report",
"type": "Workspace",
"state": "Active",
"capacityId": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e84"
}
],
"continuationUri": null,
"continuationToken": null
}
List workspaces for a given capacity, ignoring the encryptionStatus filter.
Sample request
GET https://api.fabric.microsoft.com/v1/admin/workspaces?capacityId=61d6811f-7544-4e75-a1e6-1c59c0383312&encryptionStatus=Active
Sample response
{
"workspaces": [
{
"id": "abf49964-6f70-4aea-a66c-4b78a22e3ddc",
"name": "Contoso Workspace 1",
"type": "Workspace",
"state": "Active",
"capacityId": "61d6811f-7544-4e75-a1e6-1c59c0383312",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9"
},
{
"id": "90119767-07b4-4657-82ee-53e90fece225",
"name": "Contoso Workspace 3",
"type": "Workspace",
"state": "Active",
"capacityId": "61d6811f-7544-4e75-a1e6-1c59c0383312",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9"
}
],
"continuationUri": "https://api.fabric.microsoft.com/v1/admin/workspaces?continuationToken='LDEsMTAwMDAwLDA%3D'",
"continuationToken": "LDEsMTAwMDAwLDA%3D"
}
List workspaces with active encryption status in a given capacity
Sample request
GET https://api.fabric.microsoft.com/v1/admin/workspaces?capacityId=61d6811f-7544-4e75-a1e6-1c59c0383312&encryptionStatus=Active&include=encryption
Sample response
{
"workspaces": [
{
"id": "90119767-07b4-4657-82ee-53e90fece225",
"name": "Contoso Workspace 3",
"type": "Workspace",
"state": "Active",
"capacityId": "61d6811f-7544-4e75-a1e6-1c59c0383312",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9",
"encryption": {
"status": "Active",
"keyIdentifier": "https://westus07112025-cmktest1.vault.azure.net/keys/test2k/"
}
}
],
"continuationUri": "https://api.fabric.microsoft.com/v1/admin/workspaces?continuationToken='LDEsMTAwMDAwLDA%3D'",
"continuationToken": "LDEsMTAwMDAwLDA%3D"
}
List workspaces with encryption details
Sample request
GET https://api.fabric.microsoft.com/v1/admin/workspaces?encryptionStatus={encryptionStatus}&include=encryption
Sample response
{
"workspaces": [
{
"id": "abf49964-6f70-4aea-a66c-4b78a22e3ddc",
"name": "Contoso Workspace 1",
"type": "Workspace",
"state": "Active",
"capacityId": "61d6811f-7544-4e75-a1e6-1c59c0383312",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9",
"encryption": {
"status": "Disabled"
}
},
{
"id": "9c7f06cc-e850-4961-b2bd-181a70b1a784",
"name": "Contoso Workspace 2",
"type": "Workspace",
"state": "Active",
"capacityId": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e84",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9",
"encryption": {
"status": "Disabled"
}
},
{
"id": "90119767-07b4-4657-82ee-53e90fece225",
"name": "Contoso Workspace 3",
"type": "Workspace",
"state": "Active",
"capacityId": "61d6811f-7544-4e75-a1e6-1c59c0383312",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9",
"encryption": {
"status": "Active",
"keyIdentifier": "https://westus07112025-cmktest1.vault.azure.net/keys/test2k/"
}
},
{
"id": "adaa3051-b1de-41ed-b1b4-d5e08887c1e9",
"name": "Contoso Workspace 4",
"type": "Workspace",
"state": "Active",
"capacityId": "41ce06d1-d81b-4ea0-bc6d-2ce3dd2f8e84",
"domainId": "039bd896-b39c-4540-93e3-e9926de135f9",
"encryption": {
"status": "EnableInProgress",
"keyIdentifier": "https://westus07112025-cmktest1.vault.azure.net/keys/test2k/",
"previousStatus": "Active",
"previousKeyIdentifier": "https://westus07112025-cmktest1.vault.azure.net/keys/test4k/"
}
}
],
"continuationUri": "https://api.fabric.microsoft.com/v1/admin/workspaces?continuationToken='LDEsMTAwMDAwLDA%3D'",
"continuationToken": "LDEsMTAwMDAwLDA%3D"
}
Definitions
| Name | Description |
|---|---|
| Encryption |
Workspace encryption details using a customer-managed key (CMK). |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
| Workspace |
Workspace. |
|
Workspace |
Represents an applied tag. |
|
Workspace |
The CMK encryption status of the workspace. |
| Workspaces |
A list of workspaces. |
|
Workspace |
The workspace state. Additional workspace states may be added over time. |
|
Workspace |
A workspace type. Additional workspace types may be added over time. |
Encryption
Workspace encryption details using a customer-managed key (CMK).
| Name | Type | Description |
|---|---|---|
| keyIdentifier |
string |
The encryption key identifier. |
| previousKeyIdentifier |
string |
The previous encryption key identifier. |
| previousStatus |
The previous CMK encryption status of the workspace. |
|
| status |
The CMK encryption status of the workspace. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
Workspace
Workspace.
| Name | Type | Description |
|---|---|---|
| capacityId |
string (uuid) |
The capacity ID of the workspace. |
| domainId |
string (uuid) |
The domain ID of the workspace. |
| encryption |
The encryption details of the workspace. |
|
| id |
string (uuid) |
The workspace ID. |
| name |
string |
The workspace name. |
| state |
The workspace state. |
|
| tags |
List of applied tags. |
|
| type |
The workspace type. |
WorkspaceAppliedTag
Represents an applied tag.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The name of the tag. |
| id |
string (uuid) |
The tag ID. |
WorkspaceEncryptionStatus
The CMK encryption status of the workspace.
| Value | Description |
|---|---|
| Disabled |
Workspace encryption is not active. |
| Active |
Workspace encryption is active and the workspace is encrypted. |
| EnableInProgress |
Workspace encryption is enabling. |
| DisableInProgress |
Workspace encryption is disabling. |
| Failed |
Workspace encryption application failed. |
Workspaces
A list of workspaces.
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The token for the next result set batch. If there are no more records, it's removed from the response. |
| continuationUri |
string |
The URI of the next result set batch. If there are no more records, it's removed from the response. |
| workspaces |
The list of fabric workspaces. |
WorkspaceState
The workspace state. Additional workspace states may be added over time.
| Value | Description |
|---|---|
| Active |
The workspace is active. Orphaned workspaces are displayed as active. |
| Deleted |
The workspace is deleted. |
WorkspaceType
A workspace type. Additional workspace types may be added over time.
| Value | Description |
|---|---|
| Personal |
My folder or My workspace used to manage user items. |
| Workspace |
Workspace used to manage the Fabric items. |
| AdminWorkspace |
Admin monitoring workspace. Contains admin reports such as the audit report and the usage and adoption report. |